# Uses of Interface
org.eclipse.zest.layouts.Filter

Packages that use Filter
Package
Description
org.eclipse.zest.layouts
org.eclipse.zest.layouts.algorithms

## Uses of Filter in org.eclipse.zest.layouts

Methods in org.eclipse.zest.layouts with parameters of type Filter
Modifier and Type
Method
Description
`void`
LayoutAlgorithm.Zest1.`setFilter(Filter filter)`
Deprecated, for removal: This API element is subject to removal in a future version.
Filters the entities and relationships to apply the layout on

## Uses of Filter in org.eclipse.zest.layouts.algorithms

Fields in org.eclipse.zest.layouts.algorithms declared as Filter
Modifier and Type
Field
Description
`protected Filter`
AbstractLayoutAlgorithm.Zest1.`filter`
Deprecated, for removal: This API element is subject to removal in a future version.
Methods in org.eclipse.zest.layouts.algorithms with parameters of type Filter
Modifier and Type
Method
Description
`void`
AbstractLayoutAlgorithm.Zest1.`setFilter(Filter filter)`
Deprecated, for removal: This API element is subject to removal in a future version.
Filters the entities and relationships to apply the layout on